tls tests fail of gcc-4.0.3 and glibc errors in nptl; what to do now?

lynx.abraxas at freenet.de lynx.abraxas at freenet.de
Sun Jan 14 07:49:43 PST 2007


On 07/01/07 22:05:32, Ken Moffat wrote:
>  If you had multiple machines/systems, I'd be interested in hearing
> your experiences after upgrading glibc.  But, if this is your sole
> system, your priority should probably be to keep something usable.
> At the very least, make sure you can recover from backups if you do
> decide to upgrade (that might involve a 'rescue' or 'Live' CD, but
> you need to be able to access the backups from it, which can be an
> interesting exercise if you only have one CD drive). 

Hallo Ken!


I  did  the  upgrade, just a bit different than I was told to. I gave up on my
old SuSE and used that partition to test my bakup tarballs change root to  xfs
and  did  the  glibc upgrade chroot from the old to the new system. Was that a
good way?
Well, so far it seems to have worked very well. I compiled gcc again  and  now
without  any  failures  just xpass. I did a try on compiling glibc again there
but I still have this segvault error. I can get passed that  test,  if  I  run
make  -k  check with gcc-3.3.6 but the libs have to be compiled with gcc-4.0.3
so I'd say that's just tricked.
Also wine is working nicely now, though it does not allow me  to  install  the
win-programme I compiled it for.
Do  You suggest compiling something else again with the new glibc, or should I
just wait until I encounter some problems?

Regards,
Lynx



More information about the lfs-support mailing list